> For the complete documentation index, see [llms.txt](https://docs.maildrop.cc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maildrop.cc/api-reference/maildrop-statistics.md).

# Maildrop Statistics

{% hint style="info" %}
This method is provided as a convenience method to show the current totals of blocked and saved messages. Most users should never need to run this query.
{% endhint %}

## Gets the current number of messages that have been blocked and messages that have been delivered to mailboxes.

<mark style="color:green;">`POST`</mark> `https://api.maildrop.cc/graphql`

Returns a JSON object that represents the total number of messages blocked by the Heluna antispam filters, and the total number of messages successfully delivered to mailboxes.&#x20;

Results are cached for up to a minute.

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | String | application/json |

#### Request Body

| Name | Type   | Description                                                   |
| ---- | ------ | ------------------------------------------------------------- |
|      | String | '{ query: "query Example { statistics { blocked saved } }" }' |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "data": {
        "statistics": {
            "blocked": 123456789,
            "saved": 101010101
        }
    }
}
```

{% endtab %}
{% endtabs %}

#### Examples

{% tabs %}
{% tab title="curl" %}

```bash
curl --request POST \
    --header 'content-type: application/json' \
    --url https://api.maildrop.cc/graphql \
    --data '{"query":"query Example {\n  statistics { blocked saved }\n}"}'
```

returns:

```json
{"data":{"statistics":{"blocked":12345,"saved":67890}}}
```

{% endtab %}

{% tab title="React" %}

```tsx
export const GET_STATISTICS = gql`
    query GetStatistics {
        statistics {
            blocked
            saved
        }
    }
}`;

interface Statistics {
    blocked: number;
    saved: number;
}

interface QueryReturn {
    statistics: Statistics;
}

const MyComponent = () => {
    const [{ loading, error, data }] = useQuery<QueryReturn>(GET_STATISTICS);
    return (
        <div>
            {loading && <div>Loading...</div>}
            {!loading && error && <div>There was an error.</div>}
            {!loading && data?.statistics && <div>Statistics: {data.statistics.blocked} blocked / {data.statistics.saved} saved</div>}            
        </div>
    );
};
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maildrop.cc/api-reference/maildrop-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
